Communications
Get email category statistics
POST
/
admin
/
email_manager
/
stats
Get email category statistics
curl --request POST \
--url https://api.gratona.com/v1/admin/email_manager/stats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": "207",
"permissions": {
"id": 301,
"client_id": "207",
"group_all": "1",
"program-1221": "1"
}
}
'import requests
url = "https://api.gratona.com/v1/admin/email_manager/stats"
payload = {
"client_id": "207",
"permissions": {
"id": 301,
"client_id": "207",
"group_all": "1",
"program-1221": "1"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: '207',
permissions: {id: 301, client_id: '207', group_all: '1', 'program-1221': '1'}
})
};
fetch('https://api.gratona.com/v1/admin/email_manager/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/email_manager/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'client_id' => '207',
'permissions' => [
'id' => 301,
'client_id' => '207',
'group_all' => '1',
'program-1221' => '1'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/email_manager/stats"
payload := strings.NewReader("{\n \"client_id\": \"207\",\n \"permissions\": {\n \"id\": 301,\n \"client_id\": \"207\",\n \"group_all\": \"1\",\n \"program-1221\": \"1\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/email_manager/stats")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"client_id\": \"207\",\n \"permissions\": {\n \"id\": 301,\n \"client_id\": \"207\",\n \"group_all\": \"1\",\n \"program-1221\": \"1\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/email_manager/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"client_id\": \"207\",\n \"permissions\": {\n \"id\": 301,\n \"client_id\": \"207\",\n \"group_all\": \"1\",\n \"program-1221\": \"1\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"categories": {
"all-messages": 150,
"new": 25,
"process": 30,
"draft": 15,
"sent": 80
},
"admins": [
{
"id": 714,
"name": "John Doe",
"count": 12
}
]
}
}Authorizations
bearerAuthapiKeyAuth
Passport bearer token authentication for legacy admin sessions.
Body
application/json
⌘I
Get email category statistics
curl --request POST \
--url https://api.gratona.com/v1/admin/email_manager/stats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"client_id": "207",
"permissions": {
"id": 301,
"client_id": "207",
"group_all": "1",
"program-1221": "1"
}
}
'import requests
url = "https://api.gratona.com/v1/admin/email_manager/stats"
payload = {
"client_id": "207",
"permissions": {
"id": 301,
"client_id": "207",
"group_all": "1",
"program-1221": "1"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
client_id: '207',
permissions: {id: 301, client_id: '207', group_all: '1', 'program-1221': '1'}
})
};
fetch('https://api.gratona.com/v1/admin/email_manager/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.gratona.com/v1/admin/email_manager/stats",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'client_id' => '207',
'permissions' => [
'id' => 301,
'client_id' => '207',
'group_all' => '1',
'program-1221' => '1'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.gratona.com/v1/admin/email_manager/stats"
payload := strings.NewReader("{\n \"client_id\": \"207\",\n \"permissions\": {\n \"id\": 301,\n \"client_id\": \"207\",\n \"group_all\": \"1\",\n \"program-1221\": \"1\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.gratona.com/v1/admin/email_manager/stats")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"client_id\": \"207\",\n \"permissions\": {\n \"id\": 301,\n \"client_id\": \"207\",\n \"group_all\": \"1\",\n \"program-1221\": \"1\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.gratona.com/v1/admin/email_manager/stats")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"client_id\": \"207\",\n \"permissions\": {\n \"id\": 301,\n \"client_id\": \"207\",\n \"group_all\": \"1\",\n \"program-1221\": \"1\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"categories": {
"all-messages": 150,
"new": 25,
"process": 30,
"draft": 15,
"sent": 80
},
"admins": [
{
"id": 714,
"name": "John Doe",
"count": 12
}
]
}
}